## network-manager-applet 0.7~~svn20081012t133407+mbm.beta8-0ubuntu1~hardy1

=== debian/changelog ===
network-manager-applet (0.7~~svn20081012t133407+mbm.beta8-0ubuntu1~hardy1) hardy; urgency=low

  * mbm beta 8

 -- Michael Frey <michael.frey@canonical.com>  Wed, 10 Dec 2008 11:47:22 -0800

network-manager-applet (0.7~~svn20081012t133407-0ubuntu1~nm1~hardy1) hardy; urgency=low

  * new upstream snapshot Sun 2008-10-12 13:34:07 +0000 (rev 805)
    - fixes LP: #279387
  * adjust patch to new upstream code
    - update debian/patches/add_libmbca_support.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 13 Oct 2008 21:24:14 +0200

network-manager-applet (0.7~~svn20081005t082522-0ubuntu1) intrepid; urgency=low

  * new upstream snapshot Sun 2008-10-05 08:25:22 +0000 (rev 793)
  * adjust mbca patch for changed upstream code base
    - update debian/patches/add_libmbca_support.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 06 Oct 2008 13:41:27 +0200

network-manager-applet (0.7~~svn20080927t101113-0ubuntu1) intrepid; urgency=low

  * new upstream snapshot Sat 2008-09-27 10:11:13 +0000 (rev 776)
  [ Antti Kaijanmäki ]
  * added support for Mobile Broadband Configuration Assistant:
    - added debian/patches/add_libmbca_support.patch
    - updated debian/patches/series
    - added libmbca-dev build-dependency to debian/control
    - added --with-libmbca to DEB_CONFIGURE_EXTRA_FLAGS in debian/control

  [ Alexander Sack ]
  * refresh libmbca patch using quilt to prevent diff pollution in future.
    (quilt refresh --diffstat --no-timestamps -U8)
    - update debian/patches/add_libmbca_support.patch
  * generate a uuid for NMSettingConnection which was introduced by recent
    network manager dbus API changes.
    - update debian/patches/add_libmbca_support.patch
  * fix libmbca setting the dialup string instead of the proper number (*99#)
    for GSM modems
    - update debian/patches/add_libmbca_support.patch
  * add new parameter to add_connection call in mbca patch and strip trailing
    whitespaces uses quilt refresh
    - update debian/patches/add_libmbca_support.patch
  * bump build-depends and depends bar on network-manager bits to
    >= 0.7~~svn20080928
    - update debian/control
  * explicitly set connection scope for mbca created connections to
    NM_CONNECTION_SCOPE_USER
    - update debian/patches/add_libmbca_support.patch
  * add libmbca0 to Recommends
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 29 Sep 2008 22:15:13 +0200

network-manager-applet (0.7~~svn20080907t033843-0ubuntu2) intrepid; urgency=low

  * new upstream snapshot Sun 2008-09-07 03:38:43 +0000 (rev 743)
  * adjust versioned (build-)depends on network-manager packages to
    >= 0.7~~svn20080908
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 09 Sep 2008 16:42:23 +0200

network-manager-applet (0.7~~svn20080817t183748-0ubuntu1) intrepid; urgency=low

  * new upstream snapshot Sun 2008-08-17 18:37:48 +0000 (rev 723)
  * drop patches applied upstream:
    - delete debian/patches/01_gcc43.patch
    - update debian/patches/series
  * bump build dependency versions on network-manager-dev and friends to (>=
    0.7~~svn20080812)
    - update debian/control
  * use full path for vpn auth-dialog's as provided by the .name key file in
    $sysconfdir/NetworkManager/VPN/
    - add debian/patches/20_use_full_vpn_dialog_service_name_path.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Mon, 18 Aug 2008 21:32:15 +0200

network-manager-applet (0.7~~svn20080721t051503-0ubuntu1) intrepid; urgency=low

  * new upstream snapshot Mon 2008-07-21 05:15:03 +0000 (bzr trunk rev673)
  * drop manual network config patches - default connection editor is NM
    - delete debian/patches/01_static_network-admin.patch
    - delete debian/patches/03_manual_config_available_when_connected.patch
    - delete debian/patches/13_custom-network-admin.diff
    - update debian/patches/series
  * fix gcc 4.3 build failures
    - add debian/patches/01_gcc43.patch
    - update debian/patches/series
  * higher network-manager versions for build and binary depends (>=
    0.7~~svn20080720t224551)
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Thu, 07 Aug 2008 01:54:01 +0200

network-manager-applet (0.7~~svn20080121t194048-0ubuntu0~pre6) hardy; urgency=low

  * package 0.7 svn snapshot
  * add automake1.9 to Build-Depends
    - update debian/control
  * add quilt to Build-Depends
    - update debian/control
  * add libtool to Build-Depends
    - update debian/control
  * add gnome-common to Build-Depends
    - update debian/control
  * add libnotify-dev to Build-Depends
    - update debian/control
  * add libgnutls-dev to Build-Depends and pass --with-gnutls and
    --without-nss to configure explicitly
    - update debian/control
    - update debian/rules
  * make libnm-util-dev build dependency versioned to only build against
    versions that come with libnm-util1
    - update debian/control
  * include empty aclocal.m4 file to make cdbs trigger aclocal auto run
    - add aclocal.m4
  * switch to use quilt as patchsystem
    - add debian/patches/series
    - update debian/rules
  * unfold Build-Depends and Depends in debian/control to improve legability
    of patches
    - update debian/control
  * bump {Build-}Depends: version for network-manager and friends to a
    reasonable value (>= 0.7~~svn20080121t191418+eni1-0ubuntu0~pre6)
    - update debian/control
  * remove debian/network-manager-gnome/usr/include on install
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Tue, 22 Jan 2008 17:56:32 +0000

network-manager-applet (0.6.5-0ubuntu11) hardy; urgency=low

  * apply patch to drop gnome-runtime dependencies (LP: #136945) - patch by Jani
    Monoses
    - add debian/patches/06_drop_libgnome.patch
    - add debian/patches/99_autoconf_update.patch
  * don't use gksu in hardy anymore - policy kit hooray! (LP: #176222)
    - update debian/patches/01_static_network-admin.patch
    - update debian/patches/13_custom-network-admin.diff

  [ TJ ]


## network-manager-applet 0.7~~svn20081012t133407+mbm.beta8-0ubuntu1~hardy1netbook1

=== debian/changelog ===
network-manager-applet (0.7~~svn20081012t133407+mbm.beta8-0ubuntu1~hardy1netbook1) hardy; urgency=low

  [ Neil J. Patel ]
  * Update the "Click here to connect to a Network" popup title text
  * 31_enable_remote_menu_popup.patch 
    - Add support for showing the nm-applet menu through System->Preferences->
    Network Connections.
  * Add "Edit Connections..." to the main menu so users can still access the
    manual settings dialog.
  * Add support for remotely showing the nm-applet menu through:
    "nm-applet --show-menu" option.
  * 30_notify_first_time_user.patch
    - Will popup a notification on initial log-in to let the users know where
      to connect to the network from.

 -- Bill Filler <bill.filler@canonical.com>  Mon, 15 Dec 2008 14:47:38 -0500

## network-manager-applet 1.8.10

=== meson_options.txt ===
option('libnm_gtk', type: 'boolean', value: true, description: 'build legacy library libnm-gtk which depends on libnm-glib/libnm-util/dbus-glib')
option('appindicator', type: 'boolean', value: false, description: 'Build with libappindicator support instead of xembed systray support.')
option('wwan', type: 'boolean', value: true, description: 'Enable WWAN support.')
option('selinux', type: 'boolean', value: true, description: 'Enable support for adjusting SELinux labels in configuration editor.')
option('team', type: 'boolean', value: true, description: 'Enable team configuration editor.')
option('gcr', type: 'boolean', value: true, description: 'Enable advanced certificate chooser.')
option('more_asserts', type: 'string', value: '0', description: 'Enable more assertions for debugging.')
option('iso_codes', type: 'boolean', value: true, description: 'check for iso-codes at build-time')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('gtk_doc', type: 'boolean', value: true, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')

## network-manager-applet 0.7~~svn20081012t133407+mbm.beta8-0ubuntu1~hardy1netbook1payson1

=== debian/changelog ===
network-manager-applet (0.7~~svn20081012t133407+mbm.beta8-0ubuntu1~hardy1netbook1payson1) hardy; urgency=low

  * add patch 34_revert_desktop_change.patch to show nm-connection-editor
    instead of nm-applet --show-menu. LP: #309948 

 -- Bill Filler <bill.filler@canonical.com>  Mon, 22 Dec 2008 14:23:05 -0500

=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 5.0.37),
	automake1.9,
	libtool,
	cdbs,
	libgnome-keyring-dev,
	libgnomeui-dev,
	libpanel-applet2-dev,
	libglade2-dev,
	libgconf2-dev,
	network-manager-dev (>= 0.7~~svn20080928),
	libnm-util-dev (>= 0.7~~svn20080928),
	libnm-glib-dev (>= 0.7~~svn20080928),
	libiw-dev,
	libxml-parser-perl,
	docbook-to-man,
	quilt,
	libnotify-dev,
	gnome-common,
	libnss3-dev,
	libpolkit-gnome-dev,
	intltool,
	libmbca0-dev
Standards-Version: 3.7.2
XS-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/network-manager/gnome.ubuntu.0.6.x

Package: network-manager-gnome
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	network-manager (>= 0.7~~svn20080928),
	gksu
Recommends: notification-daemon, libmbca0
Description: network management framework (GNOME frontend)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or XFCE.
 It displays the available networks and allows to easily switch between them.
 For encrypted networks it will prompt the user for the key/passphrase and it
 can optionally store them in the gnome-keyring.
 .
  Homepage: http://www.gnome.org/projects/NetworkManager/

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOHEADER = 2.50
DEB_AUTO_UPDATE_ACLOCAL = 1.9
DEB_AUTO_UPDATE_AUTOMAKE = 1.9 -a -c -f
DEB_AUTO_UPDATE_AUTOCONF = 2.50

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS = \
	--without-gnutls \
	--with-nss \
	--with-mbca \
	$(NULL)

build/network-manager-gnome::
	/usr/bin/docbook-to-man debian/nm-applet.sgml > debian/nm-applet.1

common-binary-arch::
	rm -rf debian/network-manager-gnome/usr/include/

clean::
	rm -f po/*.gmo
	rm -f debian/*.1

## network-manager-applet 0.8.1

=== debian/changelog ===
network-manager-applet (0.8.1-2) unstable; urgency=low

  * debian/patches/02-hide-pin-in-pin-puk-dialog-by-default.patch
    - Hide PIN in PIN/PUK dialog by default. (Closes: #592364)
      Patch cherry-picked from upstream Git.
  * debian/patches/03-enter-closes-pin-puk-dialog.patch
    - Ensure Enter closes the PIN/PUK dialog.
      Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 23:49:29 +0100

network-manager-applet (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8.1).
    - Bump Depends on network-manager to (>= 0.8.1) so the "Enable Networking"
      option works correctly. (Closes: #588618, #570169)
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 09:51:13 +0200

network-manager-applet (0.8.0.999-1) unstable; urgency=low

  * New upstream release (0.8.1 rc1).
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/control
    - Bump Standards-Version to 3.9.0. No further changes.
    - Bump Build-Depends on libnm-* packages to (>= 0.8.0.999).

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Jul 2010 00:45:16 +0200

network-manager-applet (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8).
    - Bump Standards-Version to 3.8.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Feb 2010 19:51:55 +0100

network-manager-applet (0.7.999-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Jan 2010 17:33:18 +0100

network-manager-applet (0.7.999-1) experimental; urgency=low

  * New upstream release (0.8 rc3).
    - Port to PolicyKit 1. (Closes: #549503)
    - Mobile broadband assisstant.
    - Bluetooth support integrating with gnome-bluetooth.
  * debian/control
    - Bump Build-Depends on libglib2.0-dev to (>= 2.16).
    - Bump Build-Depends on libnm-* packages to (>= 0.7.999).
    - Replace Build-Depends on libpolkit-gnome-dev with
      libpolkit-gobject-1-dev (>= 0.92).
    - Add Build-Depends on libgnome-bluetooth-dev (>= 2.27.6).
    - Replace Depends on policykit-gnome with policykit-1-gnome.
    - Add Recommends on mobile-broadband-provider-info for easier
      configuration of your mobile broadband service provider.
    - Add Recommends on gnome-bluetooth which allows to easily setup your
      mobile phone and make it available for NetworkManager.
  * debian/rules
    - Don't install libtool *.la and static library files.
  * debian/patches/02-CVE-2009-4145_fix_leakage_of_secrets_on_system_bus.patch
    - Remove, fixed upstream.
  * debian/patches/03-CVE-2009-4144_fix_ca_cert_handling_after_cert_file_deletion.patch
    - Remove, fixed upstream.
  * debian/copyright
    - Review and update copyright file.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Jan 2010 06:09:46 +0100

network-manager-applet (0.7.2-2) unstable; urgency=low

  * debian/control
    - Bump Build-Depends on libdbus-glib-1-dev to (>= 0.74).
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.14).
  * debian/patches/02-CVE-2009-4145_fix_leakage_of_secrets_on_system_bus.patch
    - Fix potential leakage of secrets onto the system bus. (Closes: #563371)
      Patch backported from upstream Git.
      Fixes: CVE-2009-4145
  * debian/patches/03-CVE-2009-4144_fix_ca_cert_handling_after_cert_file_deletion.patch
    - Fix possible connections to spoofed WPA Enterprise networks when
      certification file is deleted. (Closes: #560067)
      Patch backported from upstream Git.
      Fixes: CVE-2009-4144

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jan 2010 23:33:06 +0100

network-manager-applet (0.7.2-1) unstable; urgency=low

  * New upstream release.
    - Add support for GTC (WPA2 Enterprise/PEAP). See #543454.
    - Add gconf schema for applet values. (Closes: #524004)
  * debian/control
    - Bump build dependencies on nm packages to (>= 0.7.2).
    - Bump Standards-Version to 3.7.3. No further changes.
    - Add dependency on gnome-icon-theme. (Closes: #520437)
    - Add dependency on dbus-x11. (Closes: #461436)
  * debian/nm-applet.sgml
    - Fix references to to other man pages. (Closes: #556427)

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Nov 2009 02:39:25 +0100

network-manager-applet (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Apr 2009 23:55:05 +0200

network-manager-applet (0.7.0.100-1) unstable; urgency=low

  * New upstream release (0.7.1 rc4).
  * debian/patches/01-dbus_access_nm_applet.patch
    - Updated for latest upstream changes.
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Apr 2009 08:04:41 +0200

network-manager-applet (0.7.0.99-1) unstable; urgency=low

  * New upstream release (0.7.1 rc3).
  * debian/control
    - Upgrade Recommends on policykit-gnome to Depends which is required for
      editing system connections. (Closes: #507733)
    - Bump Build-Depends on libnm-glib-dev to (>= 0.7.0.99).

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Mar 2009 23:11:47 +0100

network-manager-applet (0.7.0.97-1) unstable; urgency=low

  * New upstream release.
  * Merge experimental branch into unstable. Remaining changes:
    - Update 01-dbus_access_nm_applet.patch, changes have been merged upstream
      and we only keep the "netdev" group related diff.
    - Update 04-autostart.patch, do not start nm-applet in KDE.
    - Remove 05-fix_bashisms.patch, obsolete.
    - Remove 06-po_fr.patch, obsolete.
    - Remove 07-po_pl.patch, merged upstream.
    - Remove 08-manual_means_always_online.patch, obsolete.
    - Remove 09-fix_assertion_because_of_unmanaged_devices.patch, obsolete.


=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 autotools-dev,
 intltool,
 libdbus-glib-1-dev (>= 0.74),
 libiw-dev(>= 27+28pre9),
 libgnome-keyring-dev,
 libglade2-dev,
 libgtk2.0-dev (>= 2.14),
 libglib2.0-dev (>= 2.16),
 libgconf2-dev,
 libnotify-dev (>= 0.4.3),
 libnm-util-dev (>= 0.8.1),
 libnm-glib-dev (>= 0.8.1),
 libnm-glib-vpn-dev (>= 0.8.1),
 network-manager-dev (>= 0.8.1),
 docbook-to-man,
 libpolkit-gobject-1-dev (>= 0.92),
 libgnome-bluetooth-dev (>= 2.27.6)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-utopia/packages/unstable/network-manager-applet/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/network-manager-applet/
Homepage: http://www.gnome.org/projects/NetworkManager/

Package: network-manager-gnome
Architecture: any
Section: gnome
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 network-manager (>= 0.8.1),
 policykit-1-gnome,
 gnome-icon-theme,
 dbus-x11
Recommends:
 notification-daemon,
 libpam-keyring,
 mobile-broadband-provider-info,
 gnome-bluetooth
Suggests:
 network-manager-openvpn-gnome,
 network-manager-vpnc-gnome,
 network-manager-pptp-gnome
Description: network management framework (GNOME frontend)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows to easily switch between them.
 For encrypted networks it will prompt the user for the key/passphrase and it
 can optionally store them in the gnome-keyring.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_INSTALL_DOCS_ALL := CONTRIBUTING

DEB_CONFIGURE_LIBEXECDIR := "\$$(prefix)/lib/NetworkManager"

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

clean::
	rm -f debian/*.1


build/network-manager-gnome::
	/usr/bin/docbook-to-man debian/nm-applet.sgml > debian/nm-applet.1

common-binary-post-install-arch::
	find debian/network-manager-gnome/ -name \*.la -o -name \*.a | xargs rm -f

=== debian/watch ===
version=3

http://download.gnome.org/sources/network-manager-applet/([\d\.]+)/network-manager-applet-(.*)\.tar\.gz

## network-manager-applet 0.8.4

=== debian/changelog ===
network-manager-applet (0.8.4-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Jul 2011 16:32:38 +0200

network-manager-applet (0.8.4-2) unstable; urgency=low

  * debian/patches/0001-applet-fix-possibly-uninitialized-variable.patch
    - Cherry-pick patch from upstream Git to fix possibly uninitialized
      variable. (Closes: #625016)

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2011 03:09:15 +0200

network-manager-applet (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.8.4).
    - Bump Standards-Version to 3.9.2. No further changes.
    - Update package description.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 17:17:22 +0200

network-manager-applet (0.8.3.999-1) unstable; urgency=low

  * New upstream release (0.8.4 rc2).
  * Update debian/watch, switch to bzip2.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2011 23:38:51 +0200

network-manager-applet (0.8.3.998-1) unstable; urgency=low

  * New upstream release (0.8.4 rc1).
    - Show IPv6 information in Connection Information dialog.
      (Closes: #606929)
  * debian/control
    - Drop Build-Depends on libglade2-dev, converted to GtkBuilder.
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to
      (>= 0.8.3.995).

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Mar 2011 21:37:12 +0100

network-manager-applet (0.8.2-4) unstable; urgency=low

  * debian/control
    - Drop Build-Depends on libiw-dev. No longer needed.
    - Bump Build-Depends on debhelper to (>= 8).
    - Bump Depends on network-manager to (>= 0.8.2).
  * Bump debhelper compatibility level to 8.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Mar 2011 01:38:40 +0100

network-manager-applet (0.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 01:07:50 +0100

network-manager-applet (0.8.2-2) experimental; urgency=low

  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Add debian/network-manager-gnome.docs.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:34:56 +0100

network-manager-applet (0.8.2-1) experimental; urgency=low

  * New upstream release.
  * Update Vcs-* fields: Move packaging from svn to git.
  * Remove patches, merged upstream
    - debian/patches/02-hide-pin-in-pin-puk-dialog-by-default.patch
    - debian/patches/03-enter-closes-pin-puk-dialog.patch
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8.2).

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 12:34:37 +0100

=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 8),
 autotools-dev,
 intltool,
 libdbus-glib-1-dev (>= 0.74),
 libgnome-keyring-dev,
 libgtk2.0-dev (>= 2.14),
 libglib2.0-dev (>= 2.16),
 libgconf2-dev,
 libnotify-dev (>= 0.4.3),
 libnm-util-dev (>= 0.8.4),
 libnm-glib-dev (>= 0.8.4),
 libnm-glib-vpn-dev (>= 0.8.4),
 network-manager-dev (>= 0.8.4),
 docbook-to-man,
 libpolkit-gobject-1-dev (>= 0.92),
 libgnome-bluetooth-dev (>= 2.27.6)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager-applet.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager-applet.git;a=summary
Homepage: http://www.gnome.org/projects/NetworkManager/

Package: network-manager-gnome
Architecture: any
Section: gnome
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 network-manager (>= 0.8.2),
 policykit-1-gnome,
 gnome-icon-theme,
 dbus-x11
Recommends:
 notification-daemon,
 libpam-keyring,
 mobile-broadband-provider-info,
 gnome-bluetooth
Suggests:
 network-manager-openvpn-gnome,
 network-manager-vpnc-gnome,
 network-manager-pptp-gnome
Description: network management framework (GNOME frontend)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows users to easily switch between
 them. For encrypted networks it will prompt the user for the key/passphrase
 and it can optionally store them in the gnome-keyring.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.1

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/nm-applet.sgml > debian/nm-applet.1

override_dh_install:
	dh_install
	find debian/network-manager-gnome/ -name \*.la -o -name \*.a | xargs rm -f

override_dh_auto_test:

=== debian/watch ===
version=3

http://download.gnome.org/sources/network-manager-applet/([\d\.]+)/network-manager-applet-(.*)\.tar\.bz2

## network-manager-applet 0.9.1.90

=== debian/changelog ===
network-manager-applet (0.9.1.90-0ubuntu6.1) oneiric-security; urgency=low

  * SECURITY UPDATE: Insecure WPA AdHoc network creation (LP: #905748)
    - debian/patches/CVE-2012-2736.patch: disable WPA-secured adhoc
      wireless networks.
    - CVE-2012-2736

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 21 Jun 2012 11:29:22 -0400

network-manager-applet (0.9.1.90-0ubuntu6) oneiric; urgency=low

  * debian/patches/lp830178_adhoc_ip6_ignore.patch: fix adhoc network activation
    by disabling IPv6 (where sharing isn't supported anyway), so dnsmasq only
    gets started once and doesn't cause connections to fail. (LP: #830178)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 03 Oct 2011 16:21:01 -0400

network-manager-applet (0.9.1.90-0ubuntu5) oneiric; urgency=low

  * debian/patches/04-autostart.patch:
    - revert: disable autostart when using gnome-shell (LP: #863120) 

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 30 Sep 2011 14:34:44 -0400

network-manager-applet (0.9.1.90-0ubuntu4) oneiric; urgency=low

  * debian/control: drop libnm-gtk0 Depends for network-manager to Recommends.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 29 Sep 2011 12:55:36 -0400

network-manager-applet (0.9.1.90-0ubuntu3) oneiric; urgency=low

  * debian/libnm-gtk-dev.install:
    - Add missing .pc file (LP: #861443)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 29 Sep 2011 10:24:08 +0200

network-manager-applet (0.9.1.90-0ubuntu2) oneiric; urgency=low

  * debian/control,
    debian/network-manager-gnome.install,
    debian/libnm-gtk-common.install,
    debian/libnm-gtk0.install: move wifi.ui from libnm-gtk0 to libnm-gtk-common
    and the bluetooth plugin libnma.so back to network-manager-gnome.
  * debian/control: fixup package Descriptions.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 26 Sep 2011 17:52:19 -0400

network-manager-applet (0.9.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Split wireless/mobile dialogs into a new libnm-gtk library.

  [ Dylan McCall ]
  * debian/patches/04-autostart.patch:
    - disable autostart when using gnome-shell (LP: #852961) 

  [ Mathieu Trudel-Lapierre ]
  * debian/control: add libnm-gtk0 and libnm-gtk-dev binary packages.
  * debian/control: bump network-manager-dev, libnm-*-dev Build-Depends
    to (>= 0.9.1).
  * debian/control: add iso-codes to Build-Depends.
  * debian/network-manager-gnome.install,
    debian/libnm-gtk0.install,
    debian/libnm-gtk-dev.install: install files to the right packages now that
    we have multiple binary packages.
  * debian/patches/nm-applet-use-indicator.patch: refresh.
  * debian/control, debian/rules: add network-manager-gnome-dbg. (LP: #415394)
  * debian/patches/vpn-import-export-dir.patch: fix default path for importing
    or exporting VPN connections. (LP: #634913)
  * debian/patches/mobile-wizard.patch: clear up the mobile wizard intro page
    buttons and titles. (LP: #856785)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 23 Sep 2011 15:25:35 -0400

network-manager-applet (0.9.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/clear-notification-actions.patch: clear actions tied to
    notifications being sent; otherwise stacking notifications also causes the
    attached actions to be stacked (resulting in multiple "Don't show this"
    buttons appearing in the notification bubble. (LP: #606825) 
  * debian/control: drop gnome-bluetooth to Suggests. (LP: #844027)
  * debian/patches/key-certificate-extensions.patch: allow using a key
    certificate with a .key extension in network security dialogs. (LP: #839864)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 15 Sep 2011 13:48:23 -0400

network-manager-applet (0.9.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/default-ipv6-auto.patch: don't expect a missing DHCPv6 method
    value to mean "Ignore", when it now means "use DHCP". (LP: #761558)
  * debian/patches/nm-applet-use-indicator.patch: (LP: #819617)
    - rework, drop a lot of unnecessary changes.
    - turn the GtkStatusIcon back on.
    - use custom AppIndicator fallbacks to show/hide the GtkStatusIcon.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 02 Sep 2011 15:33:05 -0400

network-manager-applet (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 11:50:06 -0400

network-manager-applet (0.8.9997+git.20110726t113022.cc3d423-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-07-26 11:30:22 (GMT)
    + cc3d42317acec0d027e1ccdabb6a4b96bbafbb7d
    - agent: fix various VPN secret saving issues
    - editor: remove dead VPN save secrets code
    - agent: save updated secrets before sending to NetworkManager
    - editor: get secrets for VPN export too
    - cdma: enable registration state home/roaming notifications
    - editor: default to IPv6 Auto for manually created connections too
    - editor: change "Device MAC address" to combo box with an entry

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 27 Jul 2011 17:42:36 -0400

network-manager-applet (0.8.9997+git.20110707t152406.340f695-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-07-07 15:24:06 (GMT)
    + 340f69597ea787cebf690b73de2d4c8c78f7b16c
    - editor: update secret flags when updating visibility
    - applet: don't show irrelevant security options during secrets requests
    - added translations
  * debian/control: drop gksu from network-manager-gnome Depends.
  * debian/patches/nm-applet-use-indicator.patch:
    - refreshed.
    - rework menu update code to trigger on dbusmenu about-to-show signal
      (LP: #791770, #764451)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Jul 2011 01:07:05 -0400

network-manager-applet (0.8.9997+git.20110616t193616.b2e6a33-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-06-16 19:36:16 (GMT)
    + b2e6a33e2c870df26fca0daa618eadaa4bb81751


=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 8),
 dh-autoreconf,
 autotools-dev,
 intltool,
 iso-codes,
 libdbus-glib-1-dev (>= 0.74),
 libgnome-keyring-dev,
 libgtk-3-dev (>= 3.0),
 libglib2.0-dev (>= 2.16),
 libgconf2-dev,
 libnotify-dev (>= 0.4.3),
 libnm-util-dev (>= 0.9.1),
 libnm-glib-dev (>= 0.9.1),
 libnm-glib-vpn-dev (>= 0.9.1),
 network-manager-dev (>= 0.9.1),
 docbook-to-man,
 libappindicator3-dev,
 libpolkit-gobject-1-dev (>= 0.92),
 libgnome-bluetooth-dev (>= 2.27.6)
Standards-Version: 3.9.2
Homepage: http://www.gnome.org/projects/NetworkManager/
Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager-applet/ubuntu.head

Package: network-manager-gnome
Architecture: any
Section: gnome
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 network-manager (>= 0.8.998),
 policykit-1-gnome,
 gnome-icon-theme,
 dbus-x11
Recommends:
 notification-daemon,
 mobile-broadband-provider-info
Suggests:
 network-manager-openvpn-gnome,
 network-manager-vpnc-gnome,
 network-manager-pptp-gnome,
 gnome-bluetooth
Description: network management framework (GNOME frontend)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows users to easily switch between
 them. For encrypted networks it will prompt the user for the key/passphrase
 and it can optionally store them in the gnome-keyring.

Package: network-manager-gnome-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 network-manager-gnome (= ${binary:Version}) | libnm-gtk0 (= ${binary:Version}),
 ${misc:Depends}
Description: network management framework (debugging symbols)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains detached debugging symbols.

Package: libnm-gtk0
Architecture: any
Section: libs
Depends:
 libnm-gtk-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 policykit-1-gnome,
 dbus-x11
Recommends:
 network-manager (>= 0.8.998),
 mobile-broadband-provider-info
Suggests:
 network-manager-openvpn-gnome,
 network-manager-vpnc-gnome,
 network-manager-pptp-gnome,
 gnome-bluetooth
Replaces: network-manager-gnome (<< 0.9.1.90-0ubuntu2)
Breaks: network-manager-gnome (<< 0.9.1.90-0ubuntu2)
Description: network management framework (GNOME dialogs for wifi and mobile)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains libraries to use for displaying dialogs for wireless
 or mobile connections.

Package: libnm-gtk-common
Architecture: all
Section: gnome
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: network-manager-gnome (<< 0.9.1.90-0ubuntu2)
Breaks: network-manager-gnome (<< 0.9.1.90-0ubuntu2)
Description: network management framework (common files for wifi and mobile)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains common files to use for displaying dialogs for wireless
 or mobile connections.

Package: libnm-gtk-dev
Architecture: any
Section: libdevel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libnm-gtk0 (= ${binary:Version}),
 network-manager (>= 0.8.998),
 policykit-1-gnome,
 dbus-x11
Description: network management framework (dialogs development libraries)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains development libraries to use when building applications
 that need to display dialogs for wireless or mobile connections.

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
DEB_MAJOR_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/git.*//')

GIT_URL := git://git.gnome.org/network-manager-applet
GIT_BRANCH := "master"
GIT_BRANCH_NAME := network-manager-applet

ifneq (,$(LOCAL_BRANCH))
LOCAL_REAL_BRANCH = $(realpath $(LOCAL_BRANCH))
endif

%:
	dh $@ --with autoreconf

export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,--as-needed

override_dh_autoreconf:
	intltoolize -f -c
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--enable-indicator

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -f po/*.gmo
	rm -f intltool-*.in
	rm -f m4/intltool.m4
	rm -f po/Makefile.in.in

override_dh_auto_clean:
	dh_auto_clean
	rm -f icons/22/*-secure.png icons/22/nm-active-device.png
	rm -f debian/*.1

override_dh_auto_build:
	dh_auto_build
	cp -rf $(CURDIR)/debian/icons/22 icons/
	docbook-to-man debian/nm-applet.sgml > debian/nm-applet.1

override_dh_strip:
	dh_strip --dbg-package=network-manager-gnome-dbg

override_dh_install:
	dh_install
	find debian/network-manager-gnome/ -name \*.la -o -name \*.a | xargs rm -f
	rm -rf debian/network-manager-gnome/usr/include/
	# workaround for icon-changes
	# natty fallback icons
	cp -f debian/icons/22/nm-device-wired-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	cp -f debian/icons/22/nm-signal-00-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-00.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none.png
	ln -snf nm-signal-00-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none-secure.png
	cp -f debian/icons/22/nm-signal-25-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-25.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low.png
	ln -snf nm-signal-25-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low-secure.png
	cp -f debian/icons/22/nm-signal-50-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-50.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium.png
	ln -snf nm-signal-50-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium-secure.png
	cp -f debian/icons/22/nm-signal-75-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-75.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high.png
	ln -snf nm-signal-75-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high-secure.png
	cp -f debian/icons/22/nm-signal-100-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-100.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full.png
	ln -snf nm-signal-100-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full-secure.png

override_dh_auto_test:


GET_SOURCE = \
	set -e; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
		echo "cloning upstream repository ..."; \
		git clone -b $(GIT_BRANCH) $(if $(LOCAL_BRANCH),$(call LOCAL_REAL_BRANCH)/$(GIT_BRANCH_NAME),$(GIT_URL)) $(GIT_BRANCH_NAME); \
		echo "getting specific upstream revision/tag: $(1)"; \
		cd `ls | head -n 1`; git checkout -b orig $(1); \
		commit_id=`git log -n1 --abbrev-commit | grep '^commit ' | sed -e 's/commit //' | sed -e 's/\.\.\.$$//'`; \
		raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y%m%dt%H%M%S"`; \
		if echo $(1) | grep -q -c "orig" || echo $(DEB_VERSION) | grep -q -c "git"; \
		then \
			upstream_version=$(DEB_MAJOR_VERSION)git.$$raw.$$commit_id; \
		else \
			upstream_version=$(DEB_UPSTREAM_VERSION); \
		fi; \
		cd ..; tar --exclude=.git -czf $(CURDIR)/$(DEB_SOURCE)_$$upstream_version.orig.tar.gz `ls | head -n 1`; \
		cd $(CURDIR); rm -rf $$tmpdir; 

get-current-source:: $(if $(LOCAL_BRANCH),update-local-branch)
	set -e; if echo $(DEB_VERSION) | grep -q -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\.*\([0-9t]*\)\.\(.*\)-.*$$/\2/g'`; \
	elif echo $(DEB_VERSION) | grep -q -c "~rc"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^\([0-9\.]*\)\(~rc\)\([0-9]\)-.*$$/\1-rc\3/'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	$(call GET_SOURCE, $$git_version, "current")

get-orig-source:: $(if $(LOCAL_BRANCH),update-local-branch)
	$(call GET_SOURCE, "HEAD", "orig")

update-local-branch::
	@echo "updating local branch ($(LOCAL_BRANCH))"
	@set -e; if ! test -d $(LOCAL_BRANCH); then mkdir -p $(LOCAL_BRANCH); fi
	@set -e; if ! test -d $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); then git clone $(GIT_URL) $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); fi
	@set -e; cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); if ! `git branch | grep -q -c "$(GIT_BRANCH)"`; then git branch $(GIT_BRANCH) remotes/origin/$(GIT_BRANCH); fi
	@set -e; cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); git checkout $(GIT_BRANCH); git pull -f
	@echo "updated local branch ($(LOCAL_BRANCH))"

get-snapshot-info:: $(if $(LOCAL_BRANCH),update-local-branch)
	@set -e; \
	git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\.*\([0-9t]*\)\.\(.*\)-.*$$/\2/g'`; \
	cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); \
	raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc $$git_version | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y-%m-%d %H:%M:%S (GMT)"`; \
	git log -n1 $$git_version --format="%n%s%n%n  * upstream snapshot $$raw%n    + %H%n";
